POST /v1/x402-endpoints/generate-metadata
Generate AI metadata (name, description, category, tags) for an x402 endpoint

Request Body required

Endpoint details for metadata generation

application/json
One of:
Option 1
Option 2
exampleInput unknown
exampleOutput unknown
inputSchema object
method string
Enum: GET, POST, PUT, PATCH, DELETE
network string
outputSchema object
price string
resourceUrl string REQUIRED
tokenSymbol string

Responses

200 OK
application/json
code integer
data object
category string
description string
name string
tags string[]
Array of:
message string
requestId string
400 Bad Request
curl -X POST 'https://api.example.com/v1/x402-endpoints/generate-metadata' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{}'
const response = await fetch('https://api.example.com/v1/x402-endpoints/generate-metadata', {  method: 'POST',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/x402-endpoints/generate-metadata', headers=headers, json={})print(response.json())
package mainimport (	"fmt"	"io"	"net/http"	"strings")func main() {	body := strings.NewReader(`{}`)	req, _ := http.NewRequest("POST", "https://api.example.com/v1/x402-endpoints/generate-metadata", body)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	req.Header.Set("Content-Type", "application/json")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "category": "<string>",    "description": "<string>",    "name": "<string>",    "tags": [      "<string>"    ]  },  "message": "success",  "requestId": "abc-123"}